Last Comment Bug 672370 - Intermittent crash in dom/workers/test/test_eventDispatch.html | Exited with code -1073741819 during test run
: Intermittent crash in dom/workers/test/test_eventDispatch.html | Exited with ...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 438871 new-web-workers
  Show dependency treegraph
 
Reported: 2011-07-18 15:06 PDT by :Ehsan Akhgari
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description :Ehsan Akhgari 2011-07-18 15:06:55 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1311019339.1311021515.302.gz&fulltext=1
Rev3 WINNT 6.1 mozilla-inbound debug test mochitests-3/5 on 2011/07/18 13:02:19

5897 INFO TEST-START | /tests/dom/workers/test/test_eventDispatch.html
NEXT ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_eventDispatch.html | Exited with code -1073741819 during test run
INFO | automation.py | Application ran for: 0:28:28.565000
INFO | automation.py | Reading PID log: c:\users\cltbld\appdata\local\temp\tmpppue1apidlog
PROCESS-CRASH | /tests/dom/workers/test/test_eventDispatch.html | application crashed (minidump found)
Crash dump filename: c:\users\cltbld\appdata\local\temp\tmpum0pdg\minidumps\b6f39293-fa50-4aee-849b-3a610d07865d.dmp
Operating system: Windows NT
                  6.1.7600 
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  EXCEPTION_ACCESS_VIOLATION_READ
Crash address: 0xffffffffdde00261

Thread 29 (crashed)
 0  mozjs.dll!js::AutoLockGC::AutoLockGC(JSRuntime *,JSGuardObjectNotifier const &) [jscntxt.h:bb0926cfe5f8 : 1798 + 0x3]
    eip = 0x6a5b5f10   esp = 0x1d11fc38   ebp = 0x1d11fc3c   ebx = 0x18e09f88
    esi = 0x00000000   edi = 0x00000000   eax = 0x00000000   ecx = 0xdddddddd
    edx = 0x1d11fc4c   efl = 0x00010246
    Found by: given as instruction pointer in context
 1  mozjs.dll!JS_TriggerOperationCallback [jsapi.cpp:bb0926cfe5f8 : 5147 + 0x17]
    eip = 0x6a5c8c8e   esp = 0x1d11fc44   ebp = 0x1d11fc58
    Found by: call frame info
 2  xul.dll!mozilla::dom::workers::WorkerPrivate::Dispatch(mozilla::dom::workers::WorkerRunnable *,mozilla::dom::workers::Queue<nsIRunnable *,50,mozilla::dom::workers::NoLocking,mozilla::dom::workers::StorageWithTArray<nsIRunnable *,25> > *) [WorkerPrivate.cpp:bb0926cfe5f8 : 2213 + 0xf]
    eip = 0x6b43c976   esp = 0x1d11fc60   ebp = 0x1d11fc90
    Found by: call frame info
 3  xul.dll!mozilla::dom::workers::WorkerPrivate::Dispatch(mozilla::dom::workers::WorkerControlRunnable *) [WorkerPrivate.h:bb0926cfe5f8 : 549 + 0x14]
    eip = 0x6b43a82c   esp = 0x1d11fc98   ebp = 0x1d11fca4
    Found by: call frame info
 4  xul.dll!mozilla::dom::workers::WorkerControlRunnable::DispatchInternal() [WorkerPrivate.cpp:bb0926cfe5f8 : 1169 + 0x1e]
    eip = 0x6b43a7cf   esp = 0x1d11fcac   ebp = 0x1d11fcb4
    Found by: call frame info
 5  xul.dll!mozilla::dom::workers::WorkerRunnable::Dispatch(JSContext *) [WorkerPrivate.cpp:bb0926cfe5f8 : 1130 + 0x14]
    eip = 0x6b43a5a0   esp = 0x1d11fcbc   ebp = 0x1d11fce0
    Found by: call frame info
 6  xul.dll!mozilla::dom::workers::WorkerPrivateParent<mozilla::dom::workers::WorkerPrivate>::Notify(JSContext *,mozilla::dom::workers::Status) [WorkerPrivate.cpp:bb0926cfe5f8 : 1429 + 0x12]
    eip = 0x6b443b5e   esp = 0x1d11fce8   ebp = 0x1d11fd1c
    Found by: call frame info
 7  xul.dll!mozilla::dom::workers::WorkerPrivateParent<mozilla::dom::workers::WorkerPrivate>::Cancel(JSContext *) [WorkerPrivate.h:bb0926cfe5f8 : 244 + 0xd]
    eip = 0x6b434855   esp = 0x1d11fd24   ebp = 0x1d11fd30
    Found by: call frame info
 8  xul.dll!mozilla::dom::workers::WorkerPrivateParent<mozilla::dom::workers::WorkerPrivate>::ModifyBusyCount(JSContext *,bool) [WorkerPrivate.cpp:bb0926cfe5f8 : 1565 + 0x13]
    eip = 0x6b444318   esp = 0x1d11fd38   ebp = 0x1d11fd68
    Found by: call frame info
 9  xul.dll!`anonymous namespace'::ModifyBusyCountRunnable::WorkerRun(JSContext *,mozilla::dom::workers::WorkerPrivate *) [WorkerPrivate.cpp:bb0926cfe5f8 : 417 + 0x12]
    eip = 0x6b43d0fa   esp = 0x1d11fd70   ebp = 0x1d11fd7c
    Found by: call frame info
10  xul.dll!mozilla::dom::workers::WorkerRunnable::Run() [WorkerPrivate.cpp:bb0926cfe5f8 : 1232 + 0x17]
    eip = 0x6b43aa20   esp = 0x1d11fd84   ebp = 0x1d11fdbc
    Found by: call frame info
11  xul.dll!mozilla::dom::workers::WorkerPrivate::DoRunLoop(JSContext *) [WorkerPrivate.cpp:bb0926cfe5f8 : 2039 + 0xd]
    eip = 0x6b43bcdf   esp = 0x1d11fdc4   ebp = 0x1d11fe04
    Found by: call frame info
12  xul.dll!`anonymous namespace'::WorkerThreadRunnable::Run() [RuntimeService.cpp:bb0926cfe5f8 : 309 + 0xb]
    eip = 0x6b433147   esp = 0x1d11fe0c   ebp = 0x1d11fe30
    Found by: call frame info
13  xul.dll!nsThread::ProcessNextEvent(int,int *) [nsThread.cpp:bb0926cfe5f8 : 617 + 0x18]
    eip = 0x6bf185d4   esp = 0x1d11fe38   ebp = 0x1d11fe98
    Found by: call frame info
14  xul.dll!NS_ProcessNextEvent_P(nsIThread *,int) [nsThreadUtils.cpp:bb0926cfe5f8 : 245 + 0x15]
    eip = 0x6beb8d03   esp = 0x1d11fea0   ebp = 0x1d11feb4
    Found by: call frame info
15  xul.dll!nsThread::ThreadFunc(void *) [nsThread.cpp:bb0926cfe5f8 : 272 + 0xa]
    eip = 0x6bf1750e   esp = 0x1d11febc   ebp = 0x1d11feec
    Found by: call frame info
16  nspr4.dll!_PR_NativeRunThread [pruthr.c:bb0926cfe5f8 : 426 + 0xe]
    eip = 0x73a2c8bb   esp = 0x1d11fef4   ebp = 0x1d11fefc
    Found by: call frame info
17  nspr4.dll!pr_root [w95thred.c:bb0926cfe5f8 : 122 + 0xe]
    eip = 0x73a30f49   esp = 0x1d11ff04   ebp = 0x1d11ff0c
    Found by: call frame info
18  msvcr80d.dll + 0x48d0
    eip = 0x72c748d1   esp = 0x1d11ff14   ebp = 0x1d11ff48
    Found by: call frame info
19  msvcr80d.dll + 0x4876
    eip = 0x72c74877   esp = 0x1d11ff50   ebp = 0x1d11ff54
    Found by: previous frame's frame pointer
20  kernel32.dll + 0x51173
    eip = 0x777b1174   esp = 0x1d11ff5c   ebp = 0x1d11ff60
    Found by: previous frame's frame pointer
21  ntdll.dll + 0x5b3f4
    eip = 0x77c8b3f5   esp = 0x1d11ff68   ebp = 0x1d11ffa0
    Found by: previous frame's frame pointer
22  ntdll.dll + 0x5b3c7
    eip = 0x77c8b3c8   esp = 0x1d11ffa8   ebp = 0x1d11ffb8
    Found by: previous frame's frame pointer
Comment 1 Treeherder Robot 2011-07-18 15:22:23 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1311024017.1311026243.23447.gz
Rev3 WINNT 6.1 mozilla-inbound debug test mochitests-3/5 on 2011/07/18 14:20:17

s: talos-r3-w7-048
TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_eventDispatch.html | Exited with code -1073741819 during test run
PROCESS-CRASH | /tests/dom/workers/test/test_eventDispatch.html | application crashed (minidump found)
Thread 31 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 2 Treeherder Robot 2011-07-18 22:57:51 PDT
gphemsley%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Maple/1311037850.1311040035.25554.gz
Rev3 WINNT 6.1 maple debug test mochitests-3/5 on 2011/07/18 18:10:50

s: talos-r3-w7-019
TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_eventDispatch.html | Exited with code -1073741819 during test run
PROCESS-CRASH | /tests/dom/workers/test/test_eventDispatch.html | application crashed (minidump found)
Thread 28 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 3 :Ehsan Akhgari 2011-07-26 13:52:31 PDT
Let's call this fixed.

Note You need to log in before you can comment on or make changes to this bug.